# Gradle build infrastructure for lectures

Gradle infrastructure to build Information Science lectures.

Features:
* multiple configurable document targets: slides, handout, notes, examples
* dynamic targets for building PDF images from PlantUML, SVG, R

This repository serves as both the canonical source for the Gradle files and as an example of how to set things up.

## Setting up a new set of lectures

1. Create a top level `lectures` directory.
2. Create a sub-directory for each lecture, e.g., `lecture1`, `lecture2`, ….
3. Copy `build.gradle.kts` and `settings.gradle.kts` into `lectures`.
4. Create an empty `settings.gradle.kts` in `lecture1`, `lecture2`, etc.
5. Copy `lecture.gradle.kts` into `lecture1`, `lecture2`, etc.
6. Edit each `lecture.gradle.kts` to configure targets and images.

## Standard lecture directory tree

```sh
lectures
    lecture1
        images
        pdfs
    lecture2
    ...
```
